<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE module_updates PUBLIC "-//NetBeans//DTD Autoupdate Catalog 2.6//EN" "http://www.netbeans.org/dtds/autoupdate-catalog-2_6.dtd">
<module_updates timestamp="24/31/09/29/03/2017">



<module_group name="Base IDE">

<module codenamebase="se.softstuff.tabmaster" distribution="se-softstuff-tabmaster.nbm" downloadsize="55178" homepage="https://gitlab.com/ztefan.lundgren/tab-master" license="DA66D15B" moduleauthor="Ztefan Lundgren" needsrestart="false" releasedate="2017/03/29">
    <manifest AutoUpdate-Show-In-Client="true" OpenIDE-Module="se.softstuff.tabmaster" OpenIDE-Module-Display-Category="Base IDE" OpenIDE-Module-Implementation-Version="170329" OpenIDE-Module-Java-Dependencies="Java &gt; 1.8" OpenIDE-Module-Long-Description="This plugin will help you find, group, preview and close your editor tabs. &lt;br/&gt; You will have access to:&lt;p&gt; &lt;strong&gt;Tab Finder&lt;/strong&gt; - list, sort and filter editor tabs with action to batch close or group selected tabs. &lt;/p&gt; &lt;p&gt; &lt;strong&gt;Tab Timeline&lt;/strong&gt; - list, sort and filter editor tabs based on when a file was viewed, edited or hit/has a breakpoint.&lt;/p&gt; &lt;p&gt; &lt;strong&gt;File preview&lt;/strong&gt; - use single click in project explorer to open a preview tab that will be recycled on your next single click or use standard double click to open a standard tab (Sublime style).This feature must be activated with shortcut Ctrl+Alt+P or in the Options menu (Appearance/Tab Master) &lt;/p&gt; &lt;p&gt; &lt;strong&gt;Context menu&lt;/strong&gt; - Add project and tab context menu to: &lt;ul&gt;&lt;li&gt;Close projects' tabs&lt;/li&gt;&lt;li&gt;Close other projects' tabs&lt;/li&gt;&lt;li&gt;Close projects' unchanged tabs&lt;/li&gt;&lt;li&gt;Close projects' and sub projects' tabs&lt;/li&gt;&lt;li&gt;Close projects' unchanged tabs&lt;/li&gt;&lt;li&gt;Close all tabs without breakpoints&lt;/li&gt;&lt;/ul&gt; &lt;/p&gt; &lt;p&gt; For beta releases add a update center site to: &lt;br/&gt; https://gitlab.com/ztefan.lundgren/nb-update-center/raw/master/updates/updates.xml &lt;/p&gt; &lt;p&gt; For buggs, issues or feature request please login and add an issue:&lt;br/&gt; https://gitlab.com/ztefan.lundgren/tab-master/issues &lt;/p&gt;" OpenIDE-Module-Module-Dependencies="org.apache.commons.lang &gt; 2.6, org.jdesktop.beansbinding/1 &gt; 1.27.1.121, org.netbeans.api.annotations.common/1 &gt; 1.27.1, org.netbeans.api.debugger/1 &gt; 1.54.1, org.netbeans.api.debugger.jpda/2 &gt; 3.5.1, org.netbeans.core.multitabs/1 &gt; 1.12.1.1, org.netbeans.core.multiview/1 &gt; 1.44.1, org.netbeans.modules.editor.lib2/1 &gt; 2.16.1.55.3, org.netbeans.modules.editor.mimelookup/1 &gt; 1.40.1, org.netbeans.modules.options.api/1 &gt; 1.45.1, org.netbeans.modules.projectapi/1 &gt; 1.66.1, org.netbeans.modules.projectuiapi.base/1 &gt; 1.85.1.9, org.netbeans.modules.settings/1 &gt; 1.49.1, org.netbeans.swing.outline &gt; 1.34.1, org.netbeans.swing.tabcontrol &gt; 1.56.1, org.openide.awt &gt; 7.67.1, org.openide.explorer &gt; 6.62.1, org.openide.filesystems &gt; 9.10.1, org.openide.loaders &gt; 7.66.1, org.openide.modules &gt; 7.48.1, org.openide.nodes &gt; 7.45.1, org.openide.text &gt; 6.67.1, org.openide.util &gt; 9.7.1, org.openide.util.lookup &gt; 8.33.1, org.openide.util.ui &gt; 9.6.1, org.openide.windows &gt; 6.75.1" OpenIDE-Module-Name="Tab Master" OpenIDE-Module-Requires="org.openide.windows.WindowManager, org.openide.modules.ModuleFormat1" OpenIDE-Module-Short-Description="Helps to search and filter your open tabs open or bulk close selected tabs" OpenIDE-Module-Specification-Version="1.1.7"/>
    
</module>

</module_group>

<license name="DA66D15B" url="licenses/DA66D15B.license"/>
</module_updates>

